Index: squid/auth_modules/MSNT/smblib.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/smblib.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.30.1
diff -u -r1.1.1.1 -r1.1.1.1.30.1
--- squid/auth_modules/MSNT/smblib.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/smblib.c	27 Aug 2001 21:48:15 -0000	1.1.1.1.30.1
@@ -1,5 +1,4 @@
 /* UNIX SMBlib NetBIOS implementation
-
    Version 1.0
    SMBlib Routines
 
@@ -37,36 +36,36 @@
 
 /* Initialize the SMBlib package     */
 
-int SMB_Init()
-
+int
+SMB_Init()
 {
 
-  SMBlib_State = SMB_State_Started;
+    SMBlib_State = SMB_State_Started;
 
-  signal(SIGPIPE, SIG_IGN);   /* Ignore these ... */
+    signal(SIGPIPE, SIG_IGN);	/* Ignore these ... */
 
 /* If SMBLIB_Instrument is defines, turn on the instrumentation stuff */
 #ifdef SMBLIB_INSTRUMENT
 
-  SMBlib_Instrument_Init();
+    SMBlib_Instrument_Init();
 
 #endif
 
-  return 0;
+    return 0;
 
 }
 
-int SMB_Term()
-
+int
+SMB_Term()
 {
 
 #ifdef SMBLIB_INSTRUMENT
 
-  SMBlib_Instrument_Term();       /* Clean up and print results */
+    SMBlib_Instrument_Term();	/* Clean up and print results */
 
 #endif
 
-  return 0;
+    return 0;
 
 }
 
@@ -74,118 +73,117 @@
 /* We have other helper routines to set variables                     */
 
 SMB_Handle_Type SMB_Create_Con_Handle()
-
 {
 
-  SMBlib_errno = SMBlibE_NotImpl;
-  return(NULL);
+    SMBlib_errno = SMBlibE_NotImpl;
+    return (NULL);
 
 }
 
-int SMBlib_Set_Sock_NoDelay(SMB_Handle_Type Con_Handle, BOOL yn)
-
+int
+SMBlib_Set_Sock_NoDelay(SMB_Handle_Type Con_Handle, BOOL yn)
 {
 
 
-  if (RFCNB_Set_Sock_NoDelay(Con_Handle -> Trans_Connect, yn) < 0) {
+    if (RFCNB_Set_Sock_NoDelay(Con_Handle->Trans_Connect, yn) < 0) {
 
 #ifdef DEBUG
 #endif
 
-    fprintf(stderr, "Setting no-delay on TCP socket failed ...\n");
+	fprintf(stderr, "Setting no-delay on TCP socket failed ...\n");
 
-  }
+    }
 
-  return(0);
+    return (0);
 
 }
 
 /* SMB_Connect_Server: Connect to a server, but don't negotiate protocol */
 /* or anything else ...                                                  */
 
-SMB_Handle_Type SMB_Connect_Server(SMB_Handle_Type Con_Handle,
-				   char *server, char *NTdomain)
+SMB_Handle_Type
+SMB_Connect_Server(SMB_Handle_Type Con_Handle, char *server, char *NTdomain)
+{
+    SMB_Handle_Type con;
+    char temp[80], called[80], calling[80], *address;
+    int i;
 
-{ SMB_Handle_Type con;
-  char temp[80], called[80], calling[80], *address;
-  int i;
+    /* Get a connection structure if one does not exist */
 
-  /* Get a connection structure if one does not exist */
+    con = Con_Handle;
 
-  con = Con_Handle;
+    if (Con_Handle == NULL) {
 
-  if (Con_Handle == NULL) {
+	if ((con =
+		(struct SMB_Connect_Def *) malloc(sizeof(struct
+		     SMB_Connect_Def))) == NULL) {
 
-    if ((con = (struct SMB_Connect_Def *)malloc(sizeof(struct SMB_Connect_Def))) == NULL) {
 
+	    SMBlib_errno = SMBlibE_NoSpace;
+	    return NULL;
+	}
 
-      SMBlib_errno = SMBlibE_NoSpace;
-      return NULL;
     }
 
-  }
+    /* Init some things ... */
 
-  /* Init some things ... */
+    strcpy(con->service, "");
+    strcpy(con->username, "");
+    strcpy(con->password, "");
+    strcpy(con->sock_options, "");
+    strcpy(con->address, "");
+    strcpy(con->desthost, server);
+    strcpy(con->PDomain, NTdomain);
+    strcpy(con->OSName, SMBLIB_DEFAULT_OSNAME);
+    strcpy(con->LMType, SMBLIB_DEFAULT_LMTYPE);
+    con->first_tree = con->last_tree = NULL;
 
-  strcpy(con -> service, "");
-  strcpy(con -> username, "");
-  strcpy(con -> password, "");
-  strcpy(con -> sock_options, "");
-  strcpy(con -> address, "");
-  strcpy(con -> desthost, server);
-  strcpy(con -> PDomain, NTdomain);
-  strcpy(con -> OSName, SMBLIB_DEFAULT_OSNAME);
-  strcpy(con -> LMType, SMBLIB_DEFAULT_LMTYPE);
-  con -> first_tree = con -> last_tree = NULL; 
+    SMB_Get_My_Name(con->myname, sizeof(con->myname));
 
-  SMB_Get_My_Name(con -> myname, sizeof(con -> myname));
+    con->port = 0;		/* No port selected */
 
-  con -> port = 0;                    /* No port selected */
+    /* Get some things we need for the SMB Header */
 
-  /* Get some things we need for the SMB Header */
+    con->pid = getpid();
+    con->mid = con->pid;	/* This will do for now ... */
+    con->uid = 0;		/* Until we have done a logon, no uid ... */
+    con->gid = getgid();
 
-  con -> pid = getpid();
-  con -> mid = con -> pid;      /* This will do for now ... */
-  con -> uid = 0;               /* Until we have done a logon, no uid ... */ 
-  con -> gid = getgid();
+    /* Now connect to the remote end, but first upper case the name of the
+     * service we are going to call, sine some servers want it in uppercase */
 
-  /* Now connect to the remote end, but first upper case the name of the
-     service we are going to call, sine some servers want it in uppercase */
+    for (i = 0; i < strlen(server); i++)
+	called[i] = toupper(server[i]);
 
-  for (i=0; i < strlen(server); i++)
-    called[i] = toupper(server[i]);
-		       
-  called[strlen(server)] = 0;    /* Make it a string */
+    called[strlen(server)] = 0;	/* Make it a string */
 
-  for (i=0; i < strlen(con -> myname); i++)
-    calling[i] = toupper(con -> myname[i]);
-		       
-  calling[strlen(con -> myname)] = 0;    /* Make it a string */
+    for (i = 0; i < strlen(con->myname); i++)
+	calling[i] = toupper(con->myname[i]);
 
-  if (strcmp(con -> address, "") == 0)
-    address = con -> desthost;
-  else
-    address = con -> address;
+    calling[strlen(con->myname)] = 0;	/* Make it a string */
 
-  con -> Trans_Connect = RFCNB_Call(called,
-				    calling,
-				    address, /* Protocol specific */
-				    con -> port);
+    if (strcmp(con->address, "") == 0)
+	address = con->desthost;
+    else
+	address = con->address;
 
-  /* Did we get one? */
+    con->Trans_Connect = RFCNB_Call(called, calling, address,	/* Protocol specific */
+	con->port);
 
-  if (con -> Trans_Connect == NULL) {
+    /* Did we get one? */
 
-    if (Con_Handle == NULL) {
-      Con_Handle = NULL;
-      free(con);
-    }
-    SMBlib_errno = -SMBlibE_CallFailed;
-    return NULL;
+    if (con->Trans_Connect == NULL) {
+
+	if (Con_Handle == NULL) {
+	    Con_Handle = NULL;
+	    free(con);
+	}
+	SMBlib_errno = -SMBlibE_CallFailed;
+	return NULL;
 
-  }
+    }
 
-  return(con);
+    return (con);
 
 }
 
@@ -193,366 +191,361 @@
 /* If Con_Handle == NULL then create a handle and connect, otherwise  */
 /* use the handle passed                                              */
 
-char *SMB_Prots_Restrict[] = {"PC NETWORK PROGRAM 1.0",
-			      NULL};
+char *SMB_Prots_Restrict[] = { "PC NETWORK PROGRAM 1.0",
+    NULL
+};
+
+
+SMB_Handle_Type
+SMB_Connect(SMB_Handle_Type Con_Handle,
+SMB_Tree_Handle * tree, char *service, char *username, char *password)
+ {
+    SMB_Handle_Type con;
+    char *host, *address;
+    char temp[80], called[80], calling[80];
+    int i;
 
+    /* Get a connection structure if one does not exist */
 
-SMB_Handle_Type SMB_Connect(SMB_Handle_Type Con_Handle,
-			    SMB_Tree_Handle *tree,
-			    char *service, 
-			    char *username, 
-			    char *password)
+    con = Con_Handle;
 
-{ SMB_Handle_Type con;
-  char *host, *address;
-  char temp[80], called[80], calling[80];
-  int i;
-
-  /* Get a connection structure if one does not exist */
+    if (Con_Handle == NULL) {
 
-  con = Con_Handle;
+	if ((con =
+		(struct SMB_Connect_Def *) malloc(sizeof(struct
+		     SMB_Connect_Def))) == NULL) {
+
+	    SMBlib_errno = SMBlibE_NoSpace;
+	    return NULL;
+	}
 
-  if (Con_Handle == NULL) {
+    }
 
-    if ((con = (struct SMB_Connect_Def *)malloc(sizeof(struct SMB_Connect_Def))) == NULL) {
+    /* Init some things ... */
 
-      SMBlib_errno = SMBlibE_NoSpace;
-      return NULL;
-    }
+    strcpy(con->service, service);
+    strcpy(con->username, username);
+    strcpy(con->password, password);
+    strcpy(con->sock_options, "");
+    strcpy(con->address, "");
+    strcpy(con->PDomain, SMBLIB_DEFAULT_DOMAIN);
+    strcpy(con->OSName, SMBLIB_DEFAULT_OSNAME);
+    strcpy(con->LMType, SMBLIB_DEFAULT_LMTYPE);
+    con->first_tree = con->last_tree = NULL;
 
-  }
+    SMB_Get_My_Name(con->myname, sizeof(con->myname));
 
-  /* Init some things ... */
+    con->port = 0;		/* No port selected */
 
-  strcpy(con -> service, service);
-  strcpy(con -> username, username);
-  strcpy(con -> password, password);
-  strcpy(con -> sock_options, "");
-  strcpy(con -> address, "");
-  strcpy(con -> PDomain, SMBLIB_DEFAULT_DOMAIN);
-  strcpy(con -> OSName, SMBLIB_DEFAULT_OSNAME);
-  strcpy(con -> LMType, SMBLIB_DEFAULT_LMTYPE);
-  con -> first_tree = con -> last_tree = NULL;
+    /* Get some things we need for the SMB Header */
 
-  SMB_Get_My_Name(con -> myname, sizeof(con -> myname));
+    con->pid = getpid();
+    con->mid = con->pid;	/* This will do for now ... */
+    con->uid = 0;		/* Until we have done a logon, no uid */
+    con->gid = getgid();
 
-  con -> port = 0;                    /* No port selected */
+    /* Now figure out the host portion of the service */
 
-  /* Get some things we need for the SMB Header */
+    strcpy(temp, service);
+    host = strtok(temp, "/\\");	/* Separate host name portion */
+    strcpy(con->desthost, host);
 
-  con -> pid = getpid();
-  con -> mid = con -> pid;      /* This will do for now ... */
-  con -> uid = 0;               /* Until we have done a logon, no uid */
-  con -> gid = getgid();
+    /* Now connect to the remote end, but first upper case the name of the
+     * service we are going to call, sine some servers want it in uppercase */
 
-  /* Now figure out the host portion of the service */
+    for (i = 0; i < strlen(host); i++)
+	called[i] = toupper(host[i]);
 
-  strcpy(temp, service);
-  host = strtok(temp, "/\\");     /* Separate host name portion */
-  strcpy(con -> desthost, host);
+    called[strlen(host)] = 0;	/* Make it a string */
 
-  /* Now connect to the remote end, but first upper case the name of the
-     service we are going to call, sine some servers want it in uppercase */
+    for (i = 0; i < strlen(con->myname); i++)
+	calling[i] = toupper(con->myname[i]);
 
-  for (i=0; i < strlen(host); i++)
-    called[i] = toupper(host[i]);
-		       
-  called[strlen(host)] = 0;    /* Make it a string */
+    calling[strlen(con->myname)] = 0;	/* Make it a string */
 
-  for (i=0; i < strlen(con -> myname); i++)
-    calling[i] = toupper(con -> myname[i]);
-		       
-  calling[strlen(con -> myname)] = 0;    /* Make it a string */
+    if (strcmp(con->address, "") == 0)
+	address = con->desthost;
+    else
+	address = con->address;
 
-  if (strcmp(con -> address, "") == 0)
-    address = con -> desthost;
-  else
-    address = con -> address;
+    con->Trans_Connect = RFCNB_Call(called, calling, address,	/* Protocol specific */
+	con->port);
 
-  con -> Trans_Connect = RFCNB_Call(called,
-				    calling,
-				    address, /* Protocol specific */
-				    con -> port);
+    /* Did we get one? */
 
-  /* Did we get one? */
+    if (con->Trans_Connect == NULL) {
 
-  if (con -> Trans_Connect == NULL) {
+	if (Con_Handle == NULL) {
+	    free(con);
+	    Con_Handle = NULL;
+	}
+	SMBlib_errno = -SMBlibE_CallFailed;
+	return NULL;
 
-    if (Con_Handle == NULL) {
-      free(con);
-      Con_Handle = NULL;
     }
-    SMBlib_errno = -SMBlibE_CallFailed;
-    return NULL;
-
-  }
 
-  /* Now, negotiate the protocol */
+    /* Now, negotiate the protocol */
 
-  if (SMB_Negotiate(con, SMB_Prots_Restrict) < 0) {
+    if (SMB_Negotiate(con, SMB_Prots_Restrict) < 0) {
 
-    /* Hmmm what should we do here ... We have a connection, but could not
-       negotiate ...                                                      */
+	/* Hmmm what should we do here ... We have a connection, but could not
+	 * negotiate ...                                                      */
 
-    return NULL;
+	return NULL;
 
-  }
+    }
 
-  /* Now connect to the service ... */
+    /* Now connect to the service ... */
 
-  if ((*tree = SMB_TreeConnect(con, NULL, service, password, "A:")) == NULL) {
+    if ((*tree = SMB_TreeConnect(con, NULL, service, password, "A:")) == NULL) {
 
-    return NULL;
+	return NULL;
 
-  }
+    }
 
-  return(con);
+    return (con);
 
 }
 
 /* Logon to the server. That is, do a session setup if we can. We do not do */
 /* Unicode yet!                                                             */
 
-int SMB_Logon_Server(SMB_Handle_Type Con_Handle, char *UserName, 
-		     char *PassWord)
-
-{ struct RFCNB_Pkt *pkt;
-  int param_len, i, pkt_len, pass_len,a;
-  char *p, pword[128];
-
-  /* First we need a packet etc ... but we need to know what protocol has  */
-  /* been negotiated to figure out if we can do it and what SMB format to  */
-  /* use ...                                                               */
+int
+SMB_Logon_Server(SMB_Handle_Type Con_Handle, char *UserName, char *PassWord)
+{
+    struct RFCNB_Pkt *pkt;
+    int param_len, i, pkt_len, pass_len, a;
+    char *p, pword[128];
+
+    /* First we need a packet etc ... but we need to know what protocol has  */
+    /* been negotiated to figure out if we can do it and what SMB format to  */
+    /* use ...                                                               */
 
-  if (Con_Handle -> protocol < SMB_P_LanMan1) {
+    if (Con_Handle->protocol < SMB_P_LanMan1) {
 
-    SMBlib_errno = SMBlibE_ProtLow;
-    return(SMBlibE_BAD);
+	SMBlib_errno = SMBlibE_ProtLow;
+	return (SMBlibE_BAD);
 
-  }
+    }
 
-  strcpy(pword, PassWord);
+    strcpy(pword, PassWord);
 #ifdef PAM_SMB_ENC_PASS
-  if (Con_Handle -> encrypt_passwords)
-  {
-    pass_len=24;
-    SMBencrypt((uchar *) PassWord, (uchar *)Con_Handle -> Encrypt_Key,(uchar *)pword); 
-  } 
-  else 
+    if (Con_Handle->encrypt_passwords) {
+	pass_len = 24;
+	SMBencrypt((uchar *) PassWord, (uchar *) Con_Handle->Encrypt_Key,
+	    (uchar *) pword);
+    } else
 #endif
-	pass_len=strlen(pword);
+	pass_len = strlen(pword);
 
 
-  /* Now build the correct structure */
+    /* Now build the correct structure */
 
-  if (Con_Handle -> protocol < SMB_P_NT1) {
+    if (Con_Handle->protocol < SMB_P_NT1) {
 
-    param_len = strlen(UserName) + 1 + pass_len + 1 + 
-                strlen(Con_Handle -> PDomain) + 1 + 
-	        strlen(Con_Handle -> OSName) + 1;
+	param_len = strlen(UserName) + 1 + pass_len + 1 +
+	    strlen(Con_Handle->PDomain) + 1 + strlen(Con_Handle->OSName) + 1;
 
-    pkt_len = SMB_ssetpLM_len + param_len;
+	pkt_len = SMB_ssetpLM_len + param_len;
 
-    pkt = (struct RFCNB_Pkt *)RFCNB_Alloc_Pkt(pkt_len);
+	pkt = (struct RFCNB_Pkt *) RFCNB_Alloc_Pkt(pkt_len);
 
-    if (pkt == NULL) {
+	if (pkt == NULL) {
 
-      SMBlib_errno = SMBlibE_NoSpace;
-      return(SMBlibE_BAD); /* Should handle the error */
+	    SMBlib_errno = SMBlibE_NoSpace;
+	    return (SMBlibE_BAD);	/* Should handle the error */
 
-    }
+	}
 
-    bzero(SMB_Hdr(pkt), SMB_ssetpLM_len);
-    SIVAL(SMB_Hdr(pkt), SMB_hdr_idf_offset, SMB_DEF_IDF);  /* Plunk in IDF */
-    *(SMB_Hdr(pkt) + SMB_hdr_com_offset) = SMBsesssetupX;
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_pid_offset, Con_Handle -> pid);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_tid_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_mid_offset, Con_Handle -> mid);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset, Con_Handle -> uid);
-    *(SMB_Hdr(pkt) + SMB_hdr_wct_offset) = 10;
-    *(SMB_Hdr(pkt) + SMB_hdr_axc_offset) = 0xFF;    /* No extra command */
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_axo_offset, 0);
+	bzero(SMB_Hdr(pkt), SMB_ssetpLM_len);
+	SIVAL(SMB_Hdr(pkt), SMB_hdr_idf_offset, SMB_DEF_IDF);	/* Plunk in IDF */
+	*(SMB_Hdr(pkt) + SMB_hdr_com_offset) = SMBsesssetupX;
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_pid_offset, Con_Handle->pid);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_tid_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_mid_offset, Con_Handle->mid);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset, Con_Handle->uid);
+	*(SMB_Hdr(pkt) + SMB_hdr_wct_offset) = 10;
+	*(SMB_Hdr(pkt) + SMB_hdr_axc_offset) = 0xFF;	/* No extra command */
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_axo_offset, 0);
 
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_mbs_offset, SMBLIB_MAX_XMIT);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_mmc_offset, 2);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_vcn_offset, Con_Handle -> pid);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpLM_snk_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_pwl_offset, pass_len + 1);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpLM_res_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_bcc_offset, param_len);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_mbs_offset, SMBLIB_MAX_XMIT);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_mmc_offset, 2);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_vcn_offset, Con_Handle->pid);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpLM_snk_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_pwl_offset, pass_len + 1);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpLM_res_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpLM_bcc_offset, param_len);
 
-    /* Now copy the param strings in with the right stuff */
+	/* Now copy the param strings in with the right stuff */
 
-    p = (char *)(SMB_Hdr(pkt) + SMB_ssetpLM_buf_offset);
+	p = (char *) (SMB_Hdr(pkt) + SMB_ssetpLM_buf_offset);
 
-    /* Copy  in password, then the rest. Password has a null at end */
+	/* Copy  in password, then the rest. Password has a null at end */
 
-    memcpy(p, pword, pass_len);
+	memcpy(p, pword, pass_len);
 
-    p = p + pass_len + 1;
+	p = p + pass_len + 1;
 
-    strcpy(p, UserName);
-    p = p + strlen(UserName);
-    *p = 0;
+	strcpy(p, UserName);
+	p = p + strlen(UserName);
+	*p = 0;
 
-    p = p + 1;
+	p = p + 1;
 
-    strcpy(p, Con_Handle -> PDomain);
-    p = p + strlen(Con_Handle -> PDomain);
-    *p = 0;
-    p = p + 1;
+	strcpy(p, Con_Handle->PDomain);
+	p = p + strlen(Con_Handle->PDomain);
+	*p = 0;
+	p = p + 1;
 
-    strcpy(p, Con_Handle -> OSName);
-    p = p + strlen(Con_Handle -> OSName);
-    *p = 0;
+	strcpy(p, Con_Handle->OSName);
+	p = p + strlen(Con_Handle->OSName);
+	*p = 0;
 
-  }
-  else {
+    } else {
 
-    /* We don't admit to UNICODE support ... */
+	/* We don't admit to UNICODE support ... */
 
-    param_len = strlen(UserName) + 1 + pass_len + 
-                strlen(Con_Handle -> PDomain) + 1 + 
-	        strlen(Con_Handle -> OSName) + 1 +
-		strlen(Con_Handle -> LMType) + 1;
+	param_len = strlen(UserName) + 1 + pass_len +
+	    strlen(Con_Handle->PDomain) + 1 +
+	    strlen(Con_Handle->OSName) + 1 + strlen(Con_Handle->LMType) + 1;
 
-    pkt_len = SMB_ssetpNTLM_len + param_len;
+	pkt_len = SMB_ssetpNTLM_len + param_len;
 
-    pkt = (struct RFCNB_Pkt *)RFCNB_Alloc_Pkt(pkt_len);
+	pkt = (struct RFCNB_Pkt *) RFCNB_Alloc_Pkt(pkt_len);
 
-    if (pkt == NULL) {
+	if (pkt == NULL) {
 
-      SMBlib_errno = SMBlibE_NoSpace;
-      return(-1); /* Should handle the error */
+	    SMBlib_errno = SMBlibE_NoSpace;
+	    return (-1);	/* Should handle the error */
 
-    }
+	}
 
-    bzero(SMB_Hdr(pkt), SMB_ssetpNTLM_len);
-    SIVAL(SMB_Hdr(pkt), SMB_hdr_idf_offset, SMB_DEF_IDF);  /* Plunk in IDF */
-    *(SMB_Hdr(pkt) + SMB_hdr_com_offset) = SMBsesssetupX;
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_pid_offset, Con_Handle -> pid);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_tid_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_mid_offset, Con_Handle -> mid);
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset, Con_Handle -> uid);
-    *(SMB_Hdr(pkt) + SMB_hdr_wct_offset) = 13;
-    *(SMB_Hdr(pkt) + SMB_hdr_axc_offset) = 0xFF;    /* No extra command */
-    SSVAL(SMB_Hdr(pkt), SMB_hdr_axo_offset, 0);
+	bzero(SMB_Hdr(pkt), SMB_ssetpNTLM_len);
+	SIVAL(SMB_Hdr(pkt), SMB_hdr_idf_offset, SMB_DEF_IDF);	/* Plunk in IDF */
+	*(SMB_Hdr(pkt) + SMB_hdr_com_offset) = SMBsesssetupX;
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_pid_offset, Con_Handle->pid);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_tid_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_mid_offset, Con_Handle->mid);
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset, Con_Handle->uid);
+	*(SMB_Hdr(pkt) + SMB_hdr_wct_offset) = 13;
+	*(SMB_Hdr(pkt) + SMB_hdr_axc_offset) = 0xFF;	/* No extra command */
+	SSVAL(SMB_Hdr(pkt), SMB_hdr_axo_offset, 0);
 
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_mbs_offset, SMBLIB_MAX_XMIT);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_mmc_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_vcn_offset, 0);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_snk_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cipl_offset, pass_len);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cspl_offset, 0);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_res_offset, 0);
-    SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cap_offset, 0);
-    SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_bcc_offset, param_len);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_mbs_offset, SMBLIB_MAX_XMIT);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_mmc_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_vcn_offset, 0);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_snk_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cipl_offset, pass_len);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cspl_offset, 0);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_res_offset, 0);
+	SIVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_cap_offset, 0);
+	SSVAL(SMB_Hdr(pkt), SMB_ssetpNTLM_bcc_offset, param_len);
 
-    /* Now copy the param strings in with the right stuff */
+	/* Now copy the param strings in with the right stuff */
 
-    p = (char *)(SMB_Hdr(pkt) + SMB_ssetpNTLM_buf_offset);
+	p = (char *) (SMB_Hdr(pkt) + SMB_ssetpNTLM_buf_offset);
 
-    /* Copy  in password, then the rest. Password has no null at end */
+	/* Copy  in password, then the rest. Password has no null at end */
 
-    memcpy(p, pword, pass_len);
+	memcpy(p, pword, pass_len);
 
-    p = p + pass_len;
+	p = p + pass_len;
 
-    strcpy(p, UserName);
-    p = p + strlen(UserName);
-    *p = 0;
+	strcpy(p, UserName);
+	p = p + strlen(UserName);
+	*p = 0;
 
-    p = p + 1;
+	p = p + 1;
 
-    strcpy(p, Con_Handle -> PDomain);
-    p = p + strlen(Con_Handle -> PDomain);
-  *p = 0;
-    p = p + 1;
+	strcpy(p, Con_Handle->PDomain);
+	p = p + strlen(Con_Handle->PDomain);
+	*p = 0;
+	p = p + 1;
 
-    strcpy(p, Con_Handle -> OSName);
-    p = p + strlen(Con_Handle -> OSName);
-    *p = 0;
-    p = p + 1;
+	strcpy(p, Con_Handle->OSName);
+	p = p + strlen(Con_Handle->OSName);
+	*p = 0;
+	p = p + 1;
 
-    strcpy(p, Con_Handle -> LMType);
-    p = p + strlen(Con_Handle -> LMType);
-    *p = 0;
+	strcpy(p, Con_Handle->LMType);
+	p = p + strlen(Con_Handle->LMType);
+	*p = 0;
 
-  }
+    }
 
-  /* Now send it and get a response */
+    /* Now send it and get a response */
 
-  if (RFCNB_Send(Con_Handle -> Trans_Connect, pkt, pkt_len) < 0){
+    if (RFCNB_Send(Con_Handle->Trans_Connect, pkt, pkt_len) < 0) {
 
 #ifdef DEBUG
-    fprintf(stderr, "Error sending SessSetupX request\n");
+	fprintf(stderr, "Error sending SessSetupX request\n");
 #endif
 
-    RFCNB_Free_Pkt(pkt);
-    SMBlib_errno = SMBlibE_SendFailed;
-    return(SMBlibE_BAD);
+	RFCNB_Free_Pkt(pkt);
+	SMBlib_errno = SMBlibE_SendFailed;
+	return (SMBlibE_BAD);
 
-  }
+    }
 
-  /* Now get the response ... */
+    /* Now get the response ... */
 
-  if (RFCNB_Recv(Con_Handle -> Trans_Connect, pkt, pkt_len) < 0) {
+    if (RFCNB_Recv(Con_Handle->Trans_Connect, pkt, pkt_len) < 0) {
 
 #ifdef DEBUG
-    fprintf(stderr, "Error receiving response to SessSetupAndX\n");
+	fprintf(stderr, "Error receiving response to SessSetupAndX\n");
 #endif
 
-    RFCNB_Free_Pkt(pkt);
-    SMBlib_errno = SMBlibE_RecvFailed;
-    return(SMBlibE_BAD);
+	RFCNB_Free_Pkt(pkt);
+	SMBlib_errno = SMBlibE_RecvFailed;
+	return (SMBlibE_BAD);
 
-  }
+    }
 
-  /* Check out the response type ... */
+    /* Check out the response type ... */
 
-  if (CVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset) != SMBC_SUCCESS) {  /* Process error */
+    if (CVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset) != SMBC_SUCCESS) {	/* Process error */
 
 #ifdef DEBUG
-    fprintf(stderr, "SMB_SessSetupAndX failed with errorclass = %i, Error Code = %i\n",
-	    CVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset),
-	    SVAL(SMB_Hdr(pkt), SMB_hdr_err_offset));
+	fprintf(stderr,
+	    "SMB_SessSetupAndX failed with errorclass = %i, Error Code = %i\n",
+	    CVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset), SVAL(SMB_Hdr(pkt),
+		SMB_hdr_err_offset));
 #endif
 
-    SMBlib_SMB_Error = IVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset);
-    RFCNB_Free_Pkt(pkt);
-    SMBlib_errno = SMBlibE_Remote;
-    return(SMBlibE_BAD);
-
-  }
+	SMBlib_SMB_Error = IVAL(SMB_Hdr(pkt), SMB_hdr_rcls_offset);
+	RFCNB_Free_Pkt(pkt);
+	SMBlib_errno = SMBlibE_Remote;
+	return (SMBlibE_BAD);
 
+    }
 #ifdef DEBUG
-  fprintf(stderr, "SessSetupAndX response. Action = %i\n", 
-          SVAL(SMB_Hdr(pkt), SMB_ssetpr_act_offset));
+    fprintf(stderr, "SessSetupAndX response. Action = %i\n",
+	SVAL(SMB_Hdr(pkt), SMB_ssetpr_act_offset));
 #endif
 
-  /* Now pick up the UID for future reference ... */
+    /* Now pick up the UID for future reference ... */
 
-  Con_Handle -> uid = SVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset);
-  RFCNB_Free_Pkt(pkt);
+    Con_Handle->uid = SVAL(SMB_Hdr(pkt), SMB_hdr_uid_offset);
+    RFCNB_Free_Pkt(pkt);
 
-  return(0);
+    return (0);
 
 }
 
 
 /* Disconnect from the server, and disconnect all tree connects */
 
-int SMB_Discon(SMB_Handle_Type Con_Handle, BOOL KeepHandle)
-
+int
+SMB_Discon(SMB_Handle_Type Con_Handle, BOOL KeepHandle)
 {
 
-  /* We just disconnect the connection for now ... */
+    /* We just disconnect the connection for now ... */
 
-  RFCNB_Hangup(Con_Handle -> Trans_Connect);
+    RFCNB_Hangup(Con_Handle->Trans_Connect);
 
-  if (!KeepHandle)
-    free(Con_Handle);
+    if (!KeepHandle)
+	free(Con_Handle);
 
-  return(0);
+    return (0);
 
 }
Index: squid/auth_modules/MSNT/smblib.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/smblib.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.30.1
diff -u -r1.1.1.1 -r1.1.1.1.30.1
--- squid/auth_modules/MSNT/smblib.h	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/smblib.h	27 Aug 2001 21:48:15 -0000	1.1.1.1.30.1
@@ -1,5 +1,4 @@
 /* UNIX SMBlib NetBIOS implementation
-
    Version 1.0
    SMBlib Defines
 
@@ -39,8 +38,8 @@
 /* Connect to a server and give us back a handle. If Con == NULL, create */
 /* The handle and populate it with defaults                              */
 
-void *SMB_Connect(void *Con, void **tree, 
-		  char *name, char *User, char *Password);
+void *SMB_Connect(void *Con, void **tree,
+    char *name, char *User, char *Password);
 
 /* Negotiate a protocol                                                  */
 
@@ -48,8 +47,8 @@
 
 /* Connect to a tree ...                                                 */
 
-void *SMB_TreeConnect(void *con_handle, void *tree_handle, 
-		      char *path, char *password, char *dev);
+void *SMB_TreeConnect(void *con_handle, void *tree_handle,
+    char *path, char *password, char *dev);
 
 /* Disconnect a tree ...                                                 */
 
@@ -58,10 +57,8 @@
 /* Open a file                                                           */
 
 void *SMB_Open(void *tree_handle,
-	       void *file_handle,
-	       char *file_name,
-	       unsigned short mode,
-	       unsigned short search); 
+    void *file_handle,
+    char *file_name, unsigned short mode, unsigned short search);
 
 /* Close a file                                                          */
 
@@ -73,9 +70,7 @@
 int SMB_Discon(void *Con, BOOL KeepHandle);
 
 void *SMB_Create(void *Tree_Handle,
-	       void *File_Handle, 
-	       char *file_name, 
-  	       short search);
+    void *File_Handle, char *file_name, short search);
 
 int SMB_Delete(void *tree, char *file_name, short search);
 
@@ -92,6 +87,6 @@
 int SMB_Get_Error_Msg(int msg, char *msgbuf, int len);
 
 void *SMB_Logon_And_TCon(void *con, void *tree, char *user, char *pass,
-			 char *service, char *st);
+    char *service, char *st);
 
 #define SMBLIB_DEFAULT_DOMAIN "anydom"
Index: squid/auth_modules/MSNT/valid.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/valid.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.30.1
diff -u -r1.1.1.1 -r1.1.1.1.30.1
--- squid/auth_modules/MSNT/valid.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/valid.c	27 Aug 2001 21:48:15 -0000	1.1.1.1.30.1
@@ -4,36 +4,39 @@
 #include "smblib.h"
 #include "valid.h"
 
-int Valid_User(char *USERNAME,char *PASSWORD,char *SERVER,char *BACKUP, char *DOMAIN)
+int
+Valid_User(char *USERNAME, char *PASSWORD, char *SERVER, char *BACKUP,
+    char *DOMAIN)
 {
-  char *SMB_Prots[] = {"PC NETWORK PROGRAM 1.0",
-			    "MICROSOFT NETWORKS 1.03",
-			    "MICROSOFT NETWORKS 3.0",
-			    "LANMAN1.0",
-			    "LM1.2X002",
-			    "Samba",
-			    "NT LM 0.12",
-			    "NT LANMAN 1.0",
-			    NULL};
-  void *con;
+    char *SMB_Prots[] = { "PC NETWORK PROGRAM 1.0",
+	"MICROSOFT NETWORKS 1.03",
+	"MICROSOFT NETWORKS 3.0",
+	"LANMAN1.0",
+	"LM1.2X002",
+	"Samba",
+	"NT LM 0.12",
+	"NT LANMAN 1.0",
+	NULL
+    };
+    void *con;
 
-  SMB_Init();
-  con = SMB_Connect_Server(NULL, SERVER, DOMAIN);
-  if (con == NULL) { /* Error ... */
-   con = SMB_Connect_Server(NULL, BACKUP, DOMAIN);
-   if (con == NULL) {
-   	return(NTV_SERVER_ERROR);   
-   }
-  }
-  if (SMB_Negotiate(con, SMB_Prots) < 0) { /* An error */
-    SMB_Discon(con,0);
-    return(NTV_PROTOCOL_ERROR);
-  }
-  if (SMB_Logon_Server(con, USERNAME, PASSWORD) < 0) {
-    SMB_Discon(con,0);
-    return(NTV_LOGON_ERROR);
-  }
-  
-  SMB_Discon(con,0);
-  return(NTV_NO_ERROR);
+    SMB_Init();
+    con = SMB_Connect_Server(NULL, SERVER, DOMAIN);
+    if (con == NULL) {		/* Error ... */
+	con = SMB_Connect_Server(NULL, BACKUP, DOMAIN);
+	if (con == NULL) {
+	    return (NTV_SERVER_ERROR);
+	}
+    }
+    if (SMB_Negotiate(con, SMB_Prots) < 0) {	/* An error */
+	SMB_Discon(con, 0);
+	return (NTV_PROTOCOL_ERROR);
+    }
+    if (SMB_Logon_Server(con, USERNAME, PASSWORD) < 0) {
+	SMB_Discon(con, 0);
+	return (NTV_LOGON_ERROR);
+    }
+
+    SMB_Discon(con, 0);
+    return (NTV_NO_ERROR);
 }
Index: squid/auth_modules/MSNT/valid.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/valid.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.62.1
diff -u -r1.1.1.1 -r1.1.1.1.62.1
--- squid/auth_modules/MSNT/valid.h	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/valid.h	27 Aug 2001 21:48:15 -0000	1.1.1.1.62.1
@@ -7,6 +7,7 @@
 #define NTV_PROTOCOL_ERROR 2
 #define NTV_LOGON_ERROR 3
 
-int Valid_User(char *USERNAME,char *PASSWORD,char *SERVER, char *BACKUP, char *DOMAIN);
+int Valid_User(char *USERNAME, char *PASSWORD, char *SERVER, char *BACKUP,
+    char *DOMAIN);
 
 #endif
